> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dmarceye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report

> Get report for specific domain



## OpenAPI

````yaml GET /reports/{domain}
openapi: 3.1.0
info:
  title: OpenAPI Dmarceye
  description: API for accessing DMARCeye data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.dmarceye.com/api
security:
  - bearerAuth: []
paths:
  /reports/{domain}:
    get:
      description: Get report for specific domain
      parameters:
        - name: domain
          in: path
          description: domain to get info on
          required: true
          schema:
            type: string
            format: domain
      responses:
        '200':
          description: domain report response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Report'
        '401':
          description: Unauthorized — missing or invalid API token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden — the resolved team is not in the API whitelist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Domain not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Report:
      type: object
      properties:
        total:
          description: Total reported messages
          type: integer
        compliant:
          description: DMARC compliant messages
          type: integer
        non_compliant:
          description: DMARC non-compliant messages
          type: integer
    Error:
      required:
        - message
      type: object
      properties:
        message:
          description: Human-readable error message
          type: string
          example: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````